package ru.vyatsu.qr_access_api.controller

import org.springframework.http.ResponseEntity
import ru.vyatsu.apis.QrApi
import ru.vyatsu.models.QrCodesResponse
import ru.vyatsu.qr_access_api.service.QrSyncService

class QrSyncController(val syncService: QrSyncService) : QrApi {

    override fun getQrCodes(): ResponseEntity<QrCodesResponse> =
        ResponseEntity.ok(QrCodesResponse(syncService.getQrCodes()))
}